<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />



    <!-- Favicon ICO-->
    <link rel="icon" type="image/x-icon" href='http://localhost:8000/uploads/images/favicon.ico'>




    <!-- Stylesheet Imports -->

    <!-- Bootstrap CDN-->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

    <link rel='stylesheet' href='/static/css/totop_button.css'>

    <!-- Script Imports-->

    <!-- jQuery CDN -->
    <script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script>

    <!-- Popper CDN -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>

    <!-- Bootstrap CDN-->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>

    <!-- Axios CDN -->
    <script src='https://cdnjs.cloudflare.com/ajax/libs/axios/0.25.0/axios.min.js'></script>

    <!-- 
      Global Variables
      Inclues frontEndUrl, backEndUrl, user images, and product images
    -->
    <script src='/static/js/globalVariables.js'></script>

    <title></title>
</head>


<body class="bg-light" onload="axiosEditYourProfile()">

    <!--back to top button-->
    <button class='bg-dark text-white' onclick="topFunction()" id="myBtn" title="Go to top">Top</button>













    <header>
        <nav class="navbar navbar-expand-md navbar-light bg-light">
            <a class="navbar-brand" href="/">SPIT!</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"><span class="navbar-toggler-icon"></span></button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav mr-auto" id='menu'>
                    <li class="nav-item">
                        <a class="nav-link" href="/category">Categories</a>
                    </li>
                </ul>
                <ul class="navbar-nav" id='LoginOrProfile'></ul>
            </div>
        </nav>
    </header>
    <script src='/static/js/menu.js'></script>







    <div class='form-control' style='height:fit-content;width:fit-content'>

        <label for="username">username:</label>

        <input type="text" class="form-control" id="username">


        <label for="email">email:</label>
        <input type="email" class="form-control" id="email">


        <label for="contact">contact:</label>
        <input type="number" class="form-control" id="contact">
        <div id='contactField'></div>

        <button class="btn btn-primary mt-3" type='submit' id='updateUser' onclick="updateUser()">UPDATE USER DETAILS</button>
    </div>
    <div id="errorField"></div>
    <div class='form-control' style='height:fit-content;width:fit-content'>
        <label for="image">image:</label>
        <input type="file" class="form-control" id="image">
        <button class="btn btn-primary mt-3" type='submit' id='changeUserProfileImage' onclick="changeUserProfileImage()">CHANGE USER PROFILE PICTURE</button>
    </div>

    <script src='/static/js/profile/axiosFunctions.js'></script>
    <script src='/static/js/profile/functions.js'></script>
    <script src='/static/js/error/validationSchema.js'></script>
    <script src='/static/js/error/errorHandling.js'></script>

    <script src='/static/js/clearStorage.js'></script>
</body>

</html>